Integration

Ship integrates into any existing Thesean setup with a one-line model-name change. No new SDKs, configuration, or endpoints.


The ship-like/ Prefix

To enable Ship, use one of these model names in a compatible API request:

  • openai/gpt-5.6-sol becomes ship-like/gpt-5.6-sol
  • anthropic/claude-opus-4-8 becomes ship-like/claude-opus-4-8

The base model sets the quality bar. Ship finds the most cost-effective way to meet or exceed that quality level.


Examples

OpenAI Responses API

import openai

client = openai.OpenAI(
    base_url="https://api.thesean.ai/v1",
    api_key=THESEAN_API_KEY,
)

response = client.responses.create(
    model="ship-like/gpt-5.6-sol",
    input="Explain the difference between TCP and UDP.",
)

print(response.output_text)

Anthropic SDK

import anthropic

client = anthropic.Anthropic(
    base_url="https://api.thesean.ai",
    api_key=THESEAN_API_KEY,
)

response = client.messages.create(
    model="ship-like/claude-opus-4-8",
    max_tokens=1024,
    messages=[
        {
            "role": "user",
            "content": "Explain the difference between TCP and UDP.",
        }
    ],
)

print(response.content[0].text)

cURL

curl https://api.thesean.ai/v1/messages \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $THESEAN_API_KEY" \
  -d '{
    "model": "ship-like/claude-opus-4-8",
    "max_tokens": 1024,
    "messages": [
      {
        "role": "user",
        "content": "What causes tides?"
      }
    ]
  }'

Streaming

with client.messages.stream(
    model="ship-like/claude-opus-4-8",
    max_tokens=1024,
    messages=[{"role": "user", "content": "Write a haiku about machine learning."}],
) as stream:
    for text in stream.text_stream:
        print(text, end="")

What Happens Under the Hood

When you send a request with a ship-like/ model, we perform inference-time optimization to reduce cost while maintaining capability and behavioral equivalence. For more information, see the Ship launch blog post.


Supported Models

Ship supports a range of models, including:

  • ship-like/gpt-5.6-sol
  • ship-like/claude-opus-4-8
  • ship-like/claude-sonnet-5
  • ship-like/claude-haiku-4-5

Set up the Feedback API to unlock quality, reliability, and latency improvements, or read the Ship launch blog post.